<id>
Anguz:TableFromCsv
</id>

<version>
1.22
</version>

<edit file>
$sourcedir/Subs.php
</edit file>

<search for>
			// Match a table... hopefully with everything in the right place.
</search for>

<add before>
			// Table from CSV. [table=]cell1,cell2[/table]
			if(isset($add['[table='])){
				$arr1[] = '~\[table=(.*?)\](.*?)\[/table\](?:\s|\xA0|<br />|&nbsp;)?~ie';
				$arr2[] = 'parse_table_csv(\'$1\', \'$2\')';
			}
</add before>

<search for>
function parse_table($table){
</search for>

<add before>
function parse_table_csv($comma, $table)
{
	static $id = 1;
	$ths = $tds = '';
	$comma = empty($comma) ? ',' : $comma;
	$table = trim(strtr($table, array('<br />' => "\n")));
	if (strpos($table, "\n") !== false)
	{
		$table = explode("\n", $table);
		$ths = '<tr><th>' . strtr($table[0], array($comma => '</th><th>')) . '</th></tr>';
		unset($table[0]);
		$table = implode('</td></tr><tr><td>', $table);
	}
	$tds = '<tr><td valign="top">' . strtr($table, array($comma => '</td><td valign="top">')) . '</td></tr>';
	return '<table id="tbl' . $id++ . '"' . (!empty($ths) ? ' class="sortable"' : '') . '>' . $ths . $tds . '</table>';
}
</add before>

<edit file>
$themedir/index.template.php
</edit file>

<search for>
	<script language="JavaScript" type="text/javascript" src="', $settings['default_theme_url'], '/script.js"></script>
</search for>

<add after>
	<script language="JavaScript" type="text/javascript" src="', $settings['default_theme_url'], '/sorttable.js"></script>
</add after>

<edit file>
$themedir/style.css
</edit file>

<search for>
/* Alternating backgrounds for posts, and several other sections of the forum. */
</search for>

<add before>
/* Table From CSV. */
.sortable td, .sortable th
{
	font-family: monospace;
}
.sortarrow
{
	font-family: serif;
}
.sortbg1 td
{
	background-color: #F0F0F0;
}
.sortbg2 td, .sortable th
{
	background-color: #E1E1E1;
}

</add before>
